Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.console.actions
Class TextViewerGotoLineAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.console.actions.TextViewerAction
              org.eclipse.ui.console.actions.TextViewerGotoLineAction

All Implemented Interfaces:
  IAction, IUpdate

public class TextViewerGotoLineAction
extends TextViewerAction

Action to position a text viewer to a specific line.

Clients may instantiate this class; this class is not intended to be subclassed.

Since:
  3.0

Field Summary
`protected int` | `fLastLine`
`protected ITextViewer` | `fTextViewer`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`TextViewerGotoLineAction(ITextViewer viewer)` Constructs a goto line action for the viewer using the provided resource bundle

Method Summary
`protected void` | `gotoLine(int line)` Jumps to the line.
`void` | `run()` The default implementation of this `IAction` method does nothing.
`void` | `update()` Requests that this object update itself.

Methods inherited from class org.eclipse.ui.console.actions.TextViewerAction
`configureAction`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fLastLine

    protected int fLastLine

### fTextViewer

    protected ITextViewer fTextViewer

Constructor Detail

### TextViewerGotoLineAction

    public TextViewerGotoLineAction(ITextViewer viewer)

  Constructs a goto line action for the viewer using the provided resource bundle

Method Detail

### update

    public void update()

  Description copied from interface: `IUpdate`
  Requests that this object update itself.

  Specified by:
    `update` in interface `IUpdate`
  Overrides:
    `update` in class `TextViewerAction`
  See Also:
    `TextViewerAction.update()`

### gotoLine

    protected void gotoLine(int line)

  Jumps to the line.

### run

    public void run()

  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `TextViewerAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.